Subject: Re: linux-next: Tree for Nov 27 (drivers/memory/tegra/tegra186.c)

From: Ashish Mhetre <[email-masked]>
Date: Tue, 5 Dec 2023 09:41:28 +0530

On 12/2/2023 5:40 PM, Krzysztof Kozlowski wrote:
> External email: Use caution opening links or attachments
>
>
> On 28/11/2023 01:31, Randy Dunlap wrote:
>>
>> On 11/26/23 20:05, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20231124:
>>>
>> on ARCH=arm64:
>> when CONFIG_IOMMU_API is not set:
>>
>> ../drivers/memory/tegra/tegra186.c: In function 'tegra186_mc_resume':
>> ../drivers/memory/tegra/tegra186.c:149:17: error: implicit declaration of function 'tegra186_mc_client_sid_override' [-Werror=implicit-function-declaration]
>>    149 |                 tegra186_mc_client_sid_override(mc, client, client->sid);
> Ashish,
>
> This was reported few days ago and still no fix or comment. So we are
> repeating the same case happened weeks ago with other LKP reported issue
> - I need to ping you, otherwise you will not address reports in your
> code. We all expect that contributor addresses the reports related to
> their code.

Hi Krzysztof,

Sorry, I am not sure why but I have not received the original mail.
I searched my entire inbox but couldn't find it. I'll check my mail
settings. Same thing happened for that LKP report mail as well.
I came to know about it only when you added me in 'To' and added
'linux-tegra' mailing list.
For the LKP report, I had replied to you and was waiting for your
response.

>
> Knowing this I will double think before I take any code from you.
>
> I am planning to drop this code next week, unless some fix comes.

I'll send a fix for it today.

> Best regards,
> Krzysztof